/******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	// The require scope
/******/ 	var __webpack_require__ = {};
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	!function() {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = function(module) {
/******/ 			var getter = module && module.__esModule ?
/******/ 				function() { return module['default']; } :
/******/ 				function() { return module; };
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "default": function() { return /* reexport */ HeaderTemp; }
});

;// CONCATENATED MODULE: external {"root":"Vue","commonjs":"vue","commonjs2":"vue","amd":"vue"}
var external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject = require("vue");
;// CONCATENATED MODULE: external "@kq_npm/client_common_vue/_utils/util"
var util_namespaceObject = require("@kq_npm/client_common_vue/_utils/util");
;// CONCATENATED MODULE: ./node_modules/babel-loader/lib/index.js!./node_modules/vue-loader/dist/index.js??ruleSet[0]!./src/webgl/headertemp/HeaderTemp.vue?vue&type=script&setup=true&lang=js

const _hoisted_1 = {
  class: "kq-control-header-temp"
};
const _hoisted_2 = {
  class: "_title"
};


const __default__ = {
  name: "Kq3dHeaderTemp"
};
/* harmony default export */ var HeaderTempvue_type_script_setup_true_lang_js = (/*#__PURE__*/Object.assign(__default__, {
  props: {
    // 是否显示阴影效果
    showShadow: {
      type: Boolean,
      default: true
    },
    // HeaderTemp标题
    headerTempTitle: {
      type: String,
      default: ""
    },
    // HeaderTemp图标
    headerTempIcon: {
      type: Object
    },
    // HeaderTemp是否折叠
    isCollapse: {
      type: Boolean,
      default: false
    },
    // HeaderTemp Title&Icon的位置
    isRight: {
      type: Boolean,
      default: true
    }
  },

  setup(__props, {
    expose
  }) {
    const props = __props;
    const proxy = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.getCurrentInstance)(); // 获取组件传参
    // 图标组件

    let iconBtn = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(null);
    let isCollapse = props.isCollapse;
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.onMounted)(() => {
      iconBtn.value = props.headerTempIcon;
      let dom = proxy.parent.vnode.el;

      if (!props.isRight) {
        (0,util_namespaceObject.addClass)(dom, ["kq-is-show", "kq-is-left"]);
      }

      if (isCollapse) {
        if (props.showShadow) {
          (0,util_namespaceObject.addClass)(dom, ["kq-is-hide", "kq-light-shadow"]);
          (0,util_namespaceObject.removeClass)(dom, ["kq-is-show", "kq-box-shadow"]);
        } else {
          (0,util_namespaceObject.addClass)(dom, "kq-is-hide");
          (0,util_namespaceObject.removeClass)(dom, "kq-is-show");
        }
      } else {
        if (props.showShadow) {
          (0,util_namespaceObject.removeClass)(dom, ["kq-is-hide", "kq-light-shadow"]);
          (0,util_namespaceObject.addClass)(dom, ["kq-is-show", "kq-box-shadow"]);
        } else {
          (0,util_namespaceObject.removeClass)(dom, "kq-is-hide");
          (0,util_namespaceObject.addClass)(dom, "kq-is-show");
        }
      }
    }); // 图标按钮点击事件

    function btnClick() {
      isCollapse = !isCollapse;
      let dom = proxy.parent.vnode.el;

      if (isCollapse) {
        // 折叠
        if (props.showShadow) {
          (0,util_namespaceObject.addClass)(dom, ["kq-is-hide", "kq-light-shadow"]);
          (0,util_namespaceObject.removeClass)(dom, ["kq-is-show", "kq-box-shadow"]);
        } else {
          (0,util_namespaceObject.addClass)(dom, "kq-is-hide");
          (0,util_namespaceObject.removeClass)(dom, "kq-is-show");
        }
      } else {
        // 展开
        if (props.showShadow) {
          (0,util_namespaceObject.addClass)(dom, ["kq-is-show", "kq-box-shadow"]);
          (0,util_namespaceObject.removeClass)(dom, ["kq-is-hide", "kq-light-shadow"]);
        } else {
          (0,util_namespaceObject.addClass)(dom, "kq-is-show");
          (0,util_namespaceObject.removeClass)(dom, "kq-is-hide");
        }
      }
    }

    expose({
      btnClick
    });
    return (_ctx, _cache) => {
      const _component_kq_icon = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-icon");

      return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)("div", _hoisted_1, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("h4", _hoisted_2, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.toDisplayString)(__props.headerTempTitle), 1
      /* TEXT */
      ), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", {
        class: "_btn kq-control-header-temp_btn",
        onClick: btnClick
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, {
        size: 16
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveDynamicComponent)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(iconBtn))))]),
        _: 1
        /* STABLE */

      })])]);
    };
  }

}));
;// CONCATENATED MODULE: ./src/webgl/headertemp/HeaderTemp.vue?vue&type=script&setup=true&lang=js
 
;// CONCATENATED MODULE: ./src/webgl/headertemp/HeaderTemp.vue



const __exports__ = HeaderTempvue_type_script_setup_true_lang_js;

/* harmony default export */ var HeaderTemp = (__exports__);
;// CONCATENATED MODULE: external "@kq_npm/client_common_vue/init.js"
var init_js_namespaceObject = require("@kq_npm/client_common_vue/init.js");
var init_js_default = /*#__PURE__*/__webpack_require__.n(init_js_namespaceObject);
;// CONCATENATED MODULE: ./src/webgl/headertemp/index.js



HeaderTemp.install = (Vue, opts) => {
  init_js_default()(Vue, opts);
  Vue.component(HeaderTemp.name, HeaderTemp);
};


module.exports = __webpack_exports__;
/******/ })()
;