/******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ 348:
/***/ (function(module) {

module.exports = require("@kq_npm/client_icons_vue");

/***/ }),

/***/ 7080:
/***/ (function(module) {

module.exports = require("vue-i18n/dist/vue-i18n.cjs.js");

/***/ }),

/***/ 9702:
/***/ (function(module) {

module.exports = require("@kq_npm/client_common_vue/_utils/const-image");

/***/ }),

/***/ 826:
/***/ (function(module) {

module.exports = require("@kq_npm/client_common_vue/_utils/gis-utils");

/***/ }),

/***/ 9519:
/***/ (function(module) {

module.exports = require("@kq_npm/client_common_vue/_utils/util");

/***/ }),

/***/ 5406:
/***/ (function(module) {

module.exports = require("@kq_npm/client_common_vue/init.js");

/***/ }),

/***/ 637:
/***/ (function(module) {

module.exports = require("vue");

/***/ }),

/***/ 8270:
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": function() { return /* binding */ _defineProperty; }
/* harmony export */ });
function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	!function() {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = function(module) {
/******/ 			var getter = module && module.__esModule ?
/******/ 				function() { return module['default']; } :
/******/ 				function() { return module; };
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be isolated against other modules in the chunk.
!function() {
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "ViewshedAnalysisViewModel": function() { return /* reexport */ ViewshedAnalysisViewModel; },
  "default": function() { return /* reexport */ ViewshedAnalysis; }
});

// EXTERNAL MODULE: external {"root":"Vue","commonjs":"vue","commonjs2":"vue","amd":"vue"}
var external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_ = __webpack_require__(637);
// EXTERNAL MODULE: external "@kq_npm/client_common_vue/_utils/gis-utils"
var gis_utils_ = __webpack_require__(826);
// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/esm/defineProperty.js
var defineProperty = __webpack_require__(8270);
// EXTERNAL MODULE: external "@kq_npm/client_common_vue/_utils/const-image"
var const_image_ = __webpack_require__(9702);
;// CONCATENATED MODULE: ./src/webgl/viewshedanalysis/ViewshedAnalysisViewModel.js

 //可视域分析逻辑类

class ViewshedAnalysisViewModel {
  //可视域分析三维对象
  //三维场景对象
  //可视域分析存储参数对象
  //可视域分析初始点图标
  //可视域分析初始点坐标
  constructor(scenceView, options) {
    (0,defineProperty/* default */.Z)(this, "_viewshedAnalysis", null);

    (0,defineProperty/* default */.Z)(this, "_viewer", null);

    (0,defineProperty/* default */.Z)(this, "_scene", null);

    (0,defineProperty/* default */.Z)(this, "_options", null);

    (0,defineProperty/* default */.Z)(this, "_marker", null);

    (0,defineProperty/* default */.Z)(this, "_position", null);

    this._viewer = scenceView._viewer;
    this._scene = scenceView._viewer.scene;
    this._scene.globe.depthTestAgainstTerrain = true;
    this._options = options;

    if (this._options.visibleColor) {
      this._options.visibleColor = Cesium.Color.fromCssColorString(this._options.visibleColor);
    }

    if (this._options.visibleColor) {
      this._options.invisibleColor = Cesium.Color.fromCssColorString(this._options.invisibleColor);
    }
  } //开始分析


  start() {
    this.clear();
    this._viewshedAnalysis = new Cesium.Kq3dViewshedInteractive(this._scene, this._options);
    let that = this;

    this._viewshedAnalysis.event.addEventListener((p1, p2) => {
      if (p1 && p2 == undefined) {
        that._position = p1;
        let cartographic = Cesium.Cartographic.fromCartesian(p1);
        let newPos = Cesium.Cartesian3.fromRadians(cartographic.longitude, cartographic.latitude, cartographic.height + that._options.offsetHeight);

        if (that._marker) {
          that._marker.position = newPos;
        } else {
          that._marker = that._viewer.entities.add({
            position: newPos,
            billboard: {
              image: const_image_.OBSERVATION_POINT,
              verticalOrigin: Cesium.VerticalOrigin.CENTER,
              disableDepthTestDistance: Number.POSITIVE_INFINITY
            }
          });
        }
      }
    });

    this._viewshedAnalysis.start(); // if (!this._viewshedAnalysis.isRunning()) {
    //   // 绘制完成后，需要释放绘制事件
    // }

  } //清除全部结果


  clear() {
    // this._viewshedAnalysis && this._viewshedAnalysis.pause();
    this.destroy();
  } //销毁


  destroy() {
    this._viewshedAnalysis && this._viewshedAnalysis.destroy();
    this._viewshedAnalysis = null;

    if (this._marker) {
      this._viewer.entities.remove(this._marker);

      this._marker = null;
    }
  } //设置偏移高度


  setOffsetHeight(offsetHeight) {
    this._options.offsetHeight = Number(offsetHeight);
    if (this._viewshedAnalysis) this._viewshedAnalysis.attachedViewshed.offsetHeight = this._options.offsetHeight;

    if (this._marker) {
      let cartographic = Cesium.Cartographic.fromCartesian(this._position);
      this._marker.position = Cesium.Cartesian3.fromRadians(cartographic.longitude, cartographic.latitude, cartographic.height + this._options.offsetHeight);
    }
  } //设置水平角


  setFovH(fovH) {
    this._options.fovH = Number(fovH);
    if (this._viewshedAnalysis) this._viewshedAnalysis.attachedViewshed.fovH = this._options.fovH;
  } //设置竖直角


  setFovV(fovV) {
    this._options.fovV = Number(fovV);
    if (this._viewshedAnalysis) this._viewshedAnalysis.attachedViewshed.fovV = this._options.fovV;
  } //设置可视颜色


  setVisibleColor(visibleColor) {
    this._options.visibleColor = Cesium.Color.fromCssColorString(visibleColor);
    if (this._viewshedAnalysis) this._viewshedAnalysis.attachedViewshed.visibleColor = this._options.visibleColor;
  } //设置不可视颜色


  setInvisibleColor(invisibleColor) {
    this._options.invisibleColor = Cesium.Color.fromCssColorString(invisibleColor);
    if (this._viewshedAnalysis) this._viewshedAnalysis.attachedViewshed.invisibleColor = this._options.invisibleColor;
  } //设置网格线颜色


  setLineColor(lineColor) {
    this._options.lineColor = lineColor;
    if (this._viewshedAnalysis) this._viewshedAnalysis.attachedViewshed.lineColor = Cesium.Color.fromCssColorString(lineColor);
  } //显示/隐藏网格线


  setShowGridLine(showGridLine) {
    this._options.showGridLine = showGridLine;
    if (this._viewshedAnalysis) this._viewshedAnalysis.attachedViewshed.showGridLine = showGridLine;
  }

}
// EXTERNAL MODULE: external "@kq_npm/client_icons_vue"
var client_icons_vue_ = __webpack_require__(348);
// EXTERNAL MODULE: external "@kq_npm/client_common_vue/_utils/util"
var util_ = __webpack_require__(9519);
// EXTERNAL MODULE: external "vue-i18n/dist/vue-i18n.cjs.js"
var vue_i18n_cjs_js_ = __webpack_require__(7080);
;// CONCATENATED MODULE: ./node_modules/babel-loader/lib/index.js!./node_modules/vue-loader/dist/index.js??ruleSet[0]!./src/webgl/viewshedanalysis/ViewshedAnalysis.vue?vue&type=script&setup=true&lang=js

const _hoisted_1 = {
  class: "kq3d-viewshed-analysis-box"
};
const _hoisted_2 = {
  class: "kq3d-viewshed-analysis-footer"
};






const __default__ = {
  name: "Kq3dViewshedAnalysis"
};
/* harmony default export */ var ViewshedAnalysisvue_type_script_setup_true_lang_js = (/*#__PURE__*/Object.assign(__default__, {
  props: {
    // 设置参数
    settingParams: {
      type: Object
    },
    // 是否显示阴影效果
    showShadow: {
      type: Boolean,
      default: true
    },

    /**
     * 例："center","topLeft","topRight","bottomLeft","bottomRight", "topCenter", "bottomCenter" {top:'16px',left:'16px'}, {top:16,left:16}
     */
    position: [String, Object],
    // 是否生成HeaderTemp
    showHeaderTemp: {
      type: Boolean,
      default: false
    },
    // 是否折叠HeaderTemp，showHeaderTemp为true时生效
    isCollapseHeaderTemp: {
      type: Boolean,
      default: false
    },
    // HeaderTemp标题
    headerTempTitle: {
      type: String
    },
    // HeaderTemp图标
    headerTempIcon: {
      type: [Object, String],
      default: client_icons_vue_.IconViewshedAnalysis
    },
    // HeaderTemp Title&Icon的位置
    isRight: {
      type: Boolean,
      default: true
    }
  },

  setup(__props, {
    expose
  }) {
    const props = __props;
    const {
      proxy
    } = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.getCurrentInstance)();
    let currentLang = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)("");
    let language = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)({});
    let collapseValue = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(""); // 获取组件传参

    let formItem = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.reactive)({
      offsetHeight: props.settingParams && props.settingParams.offsetHeight || 1.8,
      // 视点高
      minOffsetHeight: props.settingParams && props.settingParams.minOffsetHeight || 0,
      // 视点高范围最小值
      maxOffsetHeight: props.settingParams && props.settingParams.maxOffsetHeight || 100,
      // 视点高范围最大值
      fovV: props.settingParams && props.settingParams.fovV || 60,
      // 垂直张角
      minFovV: props.settingParams && props.settingParams.minFovV || 0,
      // 垂直张角范围最小值
      maxFovV: props.settingParams && props.settingParams.maxFovV || 90,
      // 垂直张角范围最大值
      fovH: props.settingParams && props.settingParams.fovH || 120,
      // 水平张角范围
      minFovH: props.settingParams && props.settingParams.minFovH || 0,
      // 水平张角范围最小值
      maxFovH: props.settingParams && props.settingParams.maxFovH || 180,
      // 水平张角范围最大值
      visibleColor: props.settingParams && props.settingParams.visibleColor || "#409EFF",
      // 可见颜色
      invisibleColor: props.settingParams && props.settingParams.invisibleColor || "#F56C6C",
      // 不可见颜色
      lineColor: props.settingParams && props.settingParams.lineColor || "#E6A23C"
    });
    let viewModel = null; // 组件容器Ref

    let boxRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(null); // 生成组件默认header

    let headerTemp = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)();
    let headerTempRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(); // 国际化

    let {
      locale,
      messages
    } = (0,vue_i18n_cjs_js_.useI18n)();
    let headerTempTitle = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(null);
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.watch)(() => locale.value, (newVal, oldVal) => {
      language.value = messages.value[newVal]["webgl"];
      headerTempTitle.value = language.value.viewshedAnalysis;
    });
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.onMounted)(() => {
      (0,util_.updatePosition)(boxRef.value, props);
      (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.watch)(() => props.position, (newVal, oldVal) => {
        (0,util_.updatePosition)(boxRef.value, props);
      });
      watchCreateHeaderTemp();
      (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.watch)(() => props.showHeaderTemp, (newVal, oldVal) => {
        watchCreateHeaderTemp();
      });
      currentLang.value = proxy.$i18n.locale; // 获取当前语言类型

      gis_utils_.utils.getWebMap(null, scenceView => {
        if (scenceView) {
          viewModel = new ViewshedAnalysisViewModel(scenceView, {
            offsetHeight: formItem.offsetHeight,
            fovV: formItem.fovV,
            fovH: formItem.fovH,
            visibleColor: formItem.visibleColor,
            invisibleColor: formItem.invisibleColor,
            lineColor: "#E6A23C"
          });
        }
      });
    });
    /**
     * @description 监听header生成
     */

    const watchCreateHeaderTemp = () => {
      if (props.showHeaderTemp) {
        // 生成headerTemp
        headerTemp.value = (0,util_.createHeaderTemp)(boxRef.value, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toRefs)(props), headerTempRef, headerTempTitle);
      }
    };

    function paramsChanged(key) {
      switch (key) {
        case "height":
          viewModel.setOffsetHeight(formItem.offsetHeight);
          break;

        case "fovV":
          viewModel.setFovV(formItem.fovV);
          break;

        case "fovH":
          viewModel.setFovH(formItem.fovH);
          break;

        case "visibleColor":
          viewModel.setVisibleColor(formItem.visibleColor);
          break;

        case "invisibleColor":
          viewModel.setInvisibleColor(formItem.invisibleColor);
          break;

        case "lineColor":
          viewModel.setLineColor(formItem.lineColor);
          break;

        default:
          break;
      }
    } //开始分析


    function startAnalysis() {
      viewModel && viewModel.start();
    } //清除结果


    function clearResult() {
      viewModel && viewModel.clear();
    } // 销毁


    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.onBeforeUnmount)(() => {
      viewModel && viewModel.destroy();
    });
    expose({
      paramsChanged,
      startAnalysis,
      clearResult
    });
    return (_ctx, _cache) => {
      const _component_kq_row = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-row");

      const _component_kq_slider = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-slider");

      const _component_kq_col = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-col");

      const _component_kq_input_number = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-input-number");

      const _component_kq_form_item = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-form-item");

      const _component_kq_color_picker = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-color-picker");

      const _component_kq_form = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-form");

      const _component_kq_collapse_item = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-collapse-item");

      const _component_kq_collapse = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-collapse");

      const _component_kq_button = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-button");

      return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementBlock)("section", {
        class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeClass)(["kq3d-viewshed-analysis", {
          'kq-box-shadow': __props.showShadow
        }]),
        ref_key: "boxRef",
        ref: boxRef
      }, [__props.showHeaderTemp ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createBlock)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveDynamicComponent)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(headerTemp)), {
        key: 0,
        ref_key: "headerTempRef",
        ref: headerTempRef
      }, null, 512
      /* NEED_PATCH */
      )) : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)("v-if", true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_1, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, {
        class: "kq3d-viewshed-analysis-tip"
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("p", null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).viewshedTips), 1
        /* TEXT */
        )]),
        _: 1
        /* STABLE */

      }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_collapse, {
        "model-value": (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(collapseValue)
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_collapse_item, {
          title: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).analysisSettings,
          name: "setting"
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form, {
            "label-width": (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(currentLang) === 'zh' ? '90px' : '140px',
            "label-position": "left"
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).offsetHeight
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, {
                  style: {
                    "display": "flex"
                  }
                }, {
                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, {
                    span: 16
                  }, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_slider, {
                      modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).offsetHeight,
                      "onUpdate:modelValue": _cache[0] || (_cache[0] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).offsetHeight = $event),
                      step: 1,
                      min: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).minOffsetHeight,
                      max: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).maxOffsetHeight,
                      onInput: _cache[1] || (_cache[1] = $event => paramsChanged('height'))
                    }, null, 8
                    /* PROPS */
                    , ["modelValue", "min", "max"])]),
                    _: 1
                    /* STABLE */

                  }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, {
                    span: 8
                  }, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_input_number, {
                      modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).offsetHeight,
                      "onUpdate:modelValue": _cache[2] || (_cache[2] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).offsetHeight = $event),
                      min: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).minOffsetHeight,
                      max: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).maxOffsetHeight,
                      step: 1,
                      "controls-position": "right",
                      onInput: _cache[3] || (_cache[3] = $event => paramsChanged('height'))
                    }, null, 8
                    /* PROPS */
                    , ["modelValue", "min", "max"])]),
                    _: 1
                    /* STABLE */

                  })]),
                  _: 1
                  /* STABLE */

                })]),
                _: 1
                /* STABLE */

              }, 8
              /* PROPS */
              , ["label"])]),
              _: 1
              /* STABLE */

            }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).FovV
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, {
                  style: {
                    "display": "flex"
                  }
                }, {
                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, {
                    span: 16
                  }, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_slider, {
                      modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).fovV,
                      "onUpdate:modelValue": _cache[4] || (_cache[4] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).fovV = $event),
                      step: 1,
                      min: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).minFovV,
                      max: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).maxFovV,
                      onInput: _cache[5] || (_cache[5] = $event => paramsChanged('fovV'))
                    }, null, 8
                    /* PROPS */
                    , ["modelValue", "min", "max"])]),
                    _: 1
                    /* STABLE */

                  }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, {
                    span: 8
                  }, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_input_number, {
                      modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).fovV,
                      "onUpdate:modelValue": _cache[6] || (_cache[6] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).fovV = $event),
                      min: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).minFovV,
                      max: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).maxFovV,
                      step: 1,
                      "controls-position": "right",
                      onInput: _cache[7] || (_cache[7] = $event => paramsChanged('fovV'))
                    }, null, 8
                    /* PROPS */
                    , ["modelValue", "min", "max"])]),
                    _: 1
                    /* STABLE */

                  })]),
                  _: 1
                  /* STABLE */

                })]),
                _: 1
                /* STABLE */

              }, 8
              /* PROPS */
              , ["label"])]),
              _: 1
              /* STABLE */

            }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).FovH
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, {
                  style: {
                    "display": "flex"
                  }
                }, {
                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, {
                    span: 16
                  }, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_slider, {
                      modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).fovH,
                      "onUpdate:modelValue": _cache[8] || (_cache[8] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).fovH = $event),
                      step: 1,
                      min: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).minFovH,
                      max: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).maxFovH,
                      onInput: _cache[9] || (_cache[9] = $event => paramsChanged('fovH'))
                    }, null, 8
                    /* PROPS */
                    , ["modelValue", "min", "max"])]),
                    _: 1
                    /* STABLE */

                  }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, {
                    span: 8
                  }, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_input_number, {
                      modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).fovH,
                      "onUpdate:modelValue": _cache[10] || (_cache[10] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).fovH = $event),
                      min: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).minFovH,
                      max: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).maxFovH,
                      step: 1,
                      "controls-position": "right",
                      onInput: _cache[11] || (_cache[11] = $event => paramsChanged('fovH'))
                    }, null, 8
                    /* PROPS */
                    , ["modelValue", "min", "max"])]),
                    _: 1
                    /* STABLE */

                  })]),
                  _: 1
                  /* STABLE */

                })]),
                _: 1
                /* STABLE */

              }, 8
              /* PROPS */
              , ["label"])]),
              _: 1
              /* STABLE */

            }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).visibleColor
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_color_picker, {
                  modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).visibleColor,
                  "onUpdate:modelValue": _cache[12] || (_cache[12] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).visibleColor = $event),
                  onChange: _cache[13] || (_cache[13] = $event => paramsChanged('visibleColor'))
                }, null, 8
                /* PROPS */
                , ["modelValue"])]),
                _: 1
                /* STABLE */

              }, 8
              /* PROPS */
              , ["label"])]),
              _: 1
              /* STABLE */

            }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).invisibleColor
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_color_picker, {
                  modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).invisibleColor,
                  "onUpdate:modelValue": _cache[14] || (_cache[14] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(formItem).invisibleColor = $event),
                  onChange: _cache[15] || (_cache[15] = $event => paramsChanged('invisibleColor'))
                }, null, 8
                /* PROPS */
                , ["modelValue"])]),
                _: 1
                /* STABLE */

              }, 8
              /* PROPS */
              , ["label"])]),
              _: 1
              /* STABLE */

            }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)(" <kq-row>\r\n            <kq-form-item :label=\"language.lineColor\">\r\n              <kq-color-picker v-model=\"formItem.lineColor\" @change=\"paramsChanged('lineColor')\"> </kq-color-picker>\r\n            </kq-form-item>\r\n          </kq-row> "), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)("<kq-row :gutter=\"20\">\r\n            <kq-col :span=\"8\">\r\n              <kq-checkbox v-model=\"formItem.showVisible\">{{ language.showVisible }}</kq-checkbox>\r\n            </kq-col>\r\n            <kq-col :span=\"8\">\r\n              <kq-checkbox v-model=\"formItem.showInvisible\">{{ language.showInvisible }}</kq-checkbox>\r\n            </kq-col>\r\n            <kq-col :span=\"8\">\r\n              <kq-checkbox v-model=\"formItem.dynamicVisual\">{{ language.dynamicVisual }}</kq-checkbox>\r\n            </kq-col>\r\n          </kq-row> ")]),
            _: 1
            /* STABLE */

          }, 8
          /* PROPS */
          , ["label-width"])]),
          _: 1
          /* STABLE */

        }, 8
        /* PROPS */
        , ["title"])]),
        _: 1
        /* STABLE */

      }, 8
      /* PROPS */
      , ["model-value"]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_2, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_button, {
        onClick: _cache[16] || (_cache[16] = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withModifiers)($event => startAnalysis(), ["stop"])),
        title: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).startAnalysis,
        type: "primary"
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).startAnalysis), 1
        /* TEXT */
        )]),
        _: 1
        /* STABLE */

      }, 8
      /* PROPS */
      , ["title"]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_button, {
        onClick: _cache[17] || (_cache[17] = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withModifiers)($event => clearResult(), ["stop"])),
        title: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).clearResult
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).clearResult), 1
        /* TEXT */
        )]),
        _: 1
        /* STABLE */

      }, 8
      /* PROPS */
      , ["title"])])])], 2
      /* CLASS */
      );
    };
  }

}));
;// CONCATENATED MODULE: ./src/webgl/viewshedanalysis/ViewshedAnalysis.vue?vue&type=script&setup=true&lang=js
 
;// CONCATENATED MODULE: ./src/webgl/viewshedanalysis/ViewshedAnalysis.vue



const __exports__ = ViewshedAnalysisvue_type_script_setup_true_lang_js;

/* harmony default export */ var ViewshedAnalysis = (__exports__);
// EXTERNAL MODULE: external "@kq_npm/client_common_vue/init.js"
var init_js_ = __webpack_require__(5406);
var init_js_default = /*#__PURE__*/__webpack_require__.n(init_js_);
;// CONCATENATED MODULE: ./src/webgl/viewshedanalysis/index.js




ViewshedAnalysis.install = (Vue, opts) => {
  init_js_default()(Vue, opts);
  Vue.component(ViewshedAnalysis.name, ViewshedAnalysis);
};


}();
module.exports = __webpack_exports__;
/******/ })()
;